View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001482SAS.Планета[All Projects] Багpublic09-08-2012 18:5105-10-2016 05:50
Reportervalebog 
Assigned Tovasketsov 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformWindowsOS7OS VersionSP1 x64
Product Version120808 
Target Version121010Fixed in Version121010 
Summary0001482: Не работает GPS HPun2400 Gobi 1000
DescriptionУ меня ноутбук Dell Latitude D630 со встроенным 3G модемом HPun2400 прекрасно работает с версией программы 110418. Притом настройка была элементарная: ввел номера COM портов для GPS, GSM и все заработало. С новой версией программы 120808 не могу справиться. В автоматическом режиме опознает порт с устройством не имеющим GPS приемника, а в принудительном выбрасывает табличку "Ошибка связи с устройством". В обоих случаях естественно спутников не видит.

Некоторое обсуждение здесь: http://sasgis.org/forum/viewtopic.php?f=2&t=2039
TagsNo tags attached.
Attached Filespng file icon SAS 110418.PNG [^] (73,525 bytes) 10-08-2012 14:18


png file icon SAS 120808.PNG [^] (37,958 bytes) 10-08-2012 14:19


png file icon OziExplorer.PNG [^] (40,819 bytes) 10-08-2012 14:30


png file icon OziExplorer 01.PNG [^] (21,079 bytes) 10-08-2012 14:36


png file icon OziExplorer 02.PNG [^] (21,328 bytes) 10-08-2012 14:37


png file icon HPun2400 GPS.PNG [^] (29,561 bytes) 10-08-2012 14:50


png file icon GpsGate 01.PNG [^] (13,164 bytes) 10-08-2012 15:17


png file icon SAS 110418 COM10.PNG [^] (60,759 bytes) 11-08-2012 05:26


png file icon SAS 120808 COM10.PNG [^] (62,091 bytes) 11-08-2012 05:27


png file icon Portmon.PNG [^] (10,303 bytes) 12-08-2012 18:12


? file icon 2012.08.13_09-00-29.nmea [^] (23,764 bytes) 13-08-2012 06:07
png file icon SAS работа прекращена 01.PNG [^] (9,123 bytes) 13-08-2012 07:48


png file icon SAS работа прекращена 04.PNG [^] (12,289 bytes) 13-08-2012 07:52


? file icon vsagps_nmea.ini [^] (2,043 bytes) 13-08-2012 21:35
? file icon vsagps_garmin.ini [^] (166 bytes) 14-08-2012 11:01

- Relationships
related to 0003141closedvdemidov Проблема с приёмником NV08C 

-  Notes
(0008254)
Tolik (manager)
10-08-2012 07:45
edited on: 10-08-2012 14:41

Для начала нужен лог NMEA.
Надо подключиться к порту устройства какой-нибудь программой (я бы использовал SecureCRT, но у вас могут быть другие).
Укажите, к какому порту, с какими параметрами (скорость, число бит и т.п.) подключились и пришлите лог.
Потом закройте ту программу, выставите в САСе тот же порт и скорость, сделайте скриншот, приложите сюда.

(0008284)
valebog (reporter)
10-08-2012 14:26
edited on: 12-08-2012 13:01

Выложил два скриншота. Первый SAS 11048 с активными спутниками на вкладке GPS. Второй SAS 12088 влючавшейся до 11048 и после нее, без мишени спутников.

Еще выложил скришот с OziExplorer 3 штуки.

(0008287)
Tolik (manager)
10-08-2012 14:40
edited on: 10-08-2012 14:42

Интересно, этот чудо-девайс (модем и GPS приёмник в одном флаконе?) требует драйвера для эмуляции COM-порта? Нет ли там, в драйвере, каких-то настроек? М.б. с драйвером конфликт...

Тема GPSgate, если не ошибаюсь, не раскрыта. Надо запустить его, в качестве входа COM5, на выход подключить SAS (на другой выход для проверки можно подключить Ози).

Если при этом Ози заработает, а САС нет - то дело не в порту, а в NMEA... :-\

(0008288)
valebog (reporter)
10-08-2012 14:59
edited on: 12-08-2012 13:04

Еще выложил скриншоты: GpsCate после нажатия кнопки старт при работающем GPS и еще скришот nmea запущенного GPS на HPun2400. В нем кстати сразу три устройств 3G модем, GPS приемник и сетевая карта 3G.

(0008289)
Tolik (manager)
10-08-2012 15:13

Не, это не тот GPSgate. У вас симулятор, а надо "разветвитель".
(0008290)
valebog (reporter)
10-08-2012 15:13
edited on: 12-08-2012 13:05

Через GpsGate на COM10 стала работать SAS 120808. Возможно ли теперь сделать так что бы она работала без GpsGate?

Сейчас работают старая на COM4 и новая на COM10 одновременно.

(0008292)
Tolik (manager)
10-08-2012 15:16

О, пол-дела сделано :)
Значит, с NMEA всё в порядке.
Боюсь, придётся подарить vasketsov'у такой ноутбук, чтобы он нашёл глюк в драйверах :)
А пока используйте workaround.
(0008293)
Tolik (manager)
10-08-2012 15:18

Не Cate, а Gate (шлюз).
(0008294)
Tolik (manager)
10-08-2012 15:19

vasketsov, есть ещё идеи, где собака порылась?
(0008295)
valebog (reporter)
10-08-2012 15:23

Не такой вариант меня не устраивает, лучше буду пока пользоваться старой SAS. Когда все таки можно надеяться на устранение глюка?
(0008296)
vdemidov (manager)
10-08-2012 15:28

Когда подарите кому-то из разработчиков такой модем. А без этого увы я шансов не вижу.
(0008297)
valebog (reporter)
10-08-2012 15:37
edited on: 12-08-2012 13:06

Понятно. Буду все таки ждать и надеяться. Всем большое спасибо.

(0008298)
vasketsov (manager)
10-08-2012 16:13

Я сегодня уже портвешка накидался массандровского, так что всё равно ничё не сображу. Пока что сделайте в сасе лог NMEA, на старой версии и на новой (ну на новой соответственно что получится), и сюда приаттачьте. А завтра подумаю ещё. Картинки эти полезные, оставьте, не удаляйте.
Если найдётся ссылка на техданные к модему, описание там какое - тоже ссылку дайте.

В принципе с GPSGate вопрос сложный. С одной стороны, вроде бы если оно работает - значит и без должно работать. С другой стороны - я в мобильной версии налетал на то что это не просто репликация as is, некоторые proprietary предложения NMEA не пролетали (а я точно уверен в их существовании в протоколе NMEA с того девайса, на котором это запускалось). Так что если формально и в подробностях - факт работы через GPSGate не гарантирует возможность работы напрямую. НО! Если старая версия работала - новая тоже должна. Это 99% вопрос настроек подключения, чётности там всякой и битности.
(0008299)
valebog (reporter)
10-08-2012 17:00
edited on: 10-08-2012 17:28

Как найти(открыть) в сасе лог NMEA?

(0008300)
Tolik (manager)
10-08-2012 18:44

Он пишется в директорию TrackLog (если галочка стоит).
(0008301)
vasketsov (manager)
10-08-2012 19:46

>Как найти(открыть) в сасе лог NMEA?
Для начала надо включить его запись - в новой версии это галочка nmea\garmin, её надо включить (соответственно лог будет в виде файла с расширением nmea).
И (пробовать) писать лог надо в сасе при подключении к устроству НАПРЯМУЮ, без GPSGate.
(0008302)
Werefox (reporter)
10-08-2012 22:24

>Если найдётся ссылка на техданные к модему, описание там какое - тоже ссылку дайте.
http://mod-book.ru/forum/forumdisplay.php?f=80 Ветка по Gobi 1000, автор софта там же. Модем сам по себе капризненький, но если удалось настроить и запустить, то проблем быть не должно.
(0008303)
valebog (reporter)
11-08-2012 04:48
edited on: 12-08-2012 13:09

Ссылка на документацию для модема Qualcomm Gobi 1000 HPun2400: http://ebookbrowse.com/gobi1000-usermanual2-pdf-d133523580

(0008306)
valebog (reporter)
11-08-2012 05:04
edited on: 13-08-2012 14:21

Лог со старой SAS 110418:
$PSTIS,*61
$GPGSV,4,1,13,03,45,292,20,06,61,284,,07,10,322,,08,04,358,*7F
$GPGSV,4,2,13,15,20,074,,16,49,243,23,18,57,135,27,19,15,295,12*7E
$GPGSV,4,3,13,21,57,077,16,22,29,185,36,26,14,036,,29,03,120,13*75
$GPGSV,4,4,13,30,29,209,23*49
$GPGGA,165729.5,5354.675491,N,02728.954237,E,1,04,41.0,415.1,M,,,,*3A
$GPVTG,,T,,M,0.0,N,0.0,K,N*2C
$GPRMC,165729.5,A,5354.675491,N,02728.954237,E,0.0,,100812,,,A*4F
$GPGSA,A,3,16,18,22,30,,,,,,,,,78.6,41.0,67.0*02
$PSTIS,*61

В новой SAS директория TrackLog пустая.
Уточните пожалуйста где находится галочка которую надо включить.

В новой SAS кнопка подключения к GPS ведет себя как ей хочется, иногда включается иногда нет.

(0008307)
Tolik (manager)
11-08-2012 05:07

Галочка на странице настроек GPS внизу.
Вряд ли в лог что-то запишется, раз девайс не подключен.
По-моему, надо записать лог любой др. программой и в нём уже искать нестандартные строки. Может, достаточно и этого (со старой САС).
(0008309)
Tolik (manager)
11-08-2012 05:28

Похоже, ещё один баг.
Распаковал релиз в новую директорию, запустил, закрыл.
Открыл, подключил GPS, поставил галки gpx и nmea, убедился, что работает, закрыл. Лога нет!
Открыл, подключил GPS, закрыл - лог есть.
Спутников сейчас не видно, передаёт последние известные координаты.

$GPGSA,A,1,,,,,,,,,,,,,,,*1E
$GPGSV,3,1,12,19,26,060,32,08,83,071,,26,52,293,,28,49,190,*72
$GPGSV,3,2,12,07,40,086,,05,31,242,,15,15,307,,03,13,032,23*70
$GPGSV,3,3,12,13,06,135,,06,05,021,,10,05,195,,21,04,329,*7F
$GPRMC,052254.987,V,5558.7398,N,03724.9939,E,,,110812,,,N*7F
$GPVTG,,T,,M,,N,,K,N*2C
$GPGGA,052255.987,5558.7398,N,03724.9939,E,0,00,,195.0,M,14.7,M,,0000*7F
(0008310)
Tolik (manager)
11-08-2012 05:30
edited on: 11-08-2012 05:35

Что там за $PSTIS ?
Может, именно это proprietary sentence мешает, надо его игнорировать?

(0008311)
valebog (reporter)
11-08-2012 05:31

Добавил вкладки настройка GPS при работе программ через GpsCate. В старой спутники видны, а в новой их нет. Программы включал поочередно и обе на COM10.
(0008312)
valebog (reporter)
11-08-2012 05:34
edited on: 12-08-2012 12:53

Появился лог в новой программе:
$PSTIS,*61
$GPGSV,4,1,13,03,08,025,,05,37,232,18,06,01,014,,07,33,075,*7E
$GPGSV,4,2,13,08,75,064,,10,07,184,22,13,02,123,,15,18,300,13*72
$GPGSV,4,3,13,19,19,052,,21,05,323,,26,57,292,17,27,01,260,*76
$GPGSV,4,4,13,28,52,171,*41
$GPGGA,052502.5,,,,,0,,,,,,,,*7D
$GPVTG,,T,,M,,N,,K,N*2C
$GPRMC,,V,,,,,,,,,,N*53
$GPGSA,A,1,,,,,,,,,,,,,,,*1E
$PSTIS,*61

Только комп дома на столе и сигнал слабый.

(0008313)
Tolik (manager)
11-08-2012 05:36
edited on: 11-08-2012 06:04

То есть при первом включении лога он не пишется, требуется перезапуск программы?
Надо открыть новый баг.
0001486

(0008316)
valebog (reporter)
11-08-2012 05:44
edited on: 12-08-2012 12:54

>Что там за $PSTIS ?
 Может, именно это proprietary sentence мешает, надо его игнорировать?<
 Может лог при работе через Gate?
Вот сегодняшний без Gate на старой программе:
$PSTIS,*61
$GPGSV,3,1,12,03,04,022,,05,33,227,17,07,28,078,13,08,69,067,*7D
$GPGSV,3,2,12,10,02,184,19,15,23,302,,18,,,,19,18,046,*43
$GPGSV,3,3,12,21,04,317,,26,63,289,20,27,05,262,,28,57,168,13*7B
$GPGGA,053734.5,,,,,0,,,,,,,,*7B
$GPVTG,,T,,M,,N,,K,N*2C
$GPRMC,,V,,,,,,,,,,N*53
$GPGSA,A,1,,,,,,,,,,,,,,,*1E
$PSTIS,*61

(0008317)
Tolik (manager)
11-08-2012 05:51

Здесь уже есть картинка HPun2400 GPS.PNG
Это лог GPSGate? Он как раз показывает, что эта строчка удалена?
Проверьте: запустите новый САС через GPSGate и снимите новый лог.
(0008318)
valebog (reporter)
11-08-2012 05:56
edited on: 12-08-2012 12:54

Новая SAS через GpsGate новый лог:
$GPGSV,3,1,12,03,,,,05,27,222,,07,21,082,,08,61,073,*4C
$GPGSV,3,2,12,15,30,300,,17,02,151,,18,04,334,,19,18,039,*7C
$GPGSV,3,3,12,21,01,312,,26,70,278,,27,11,267,,28,64,160,*7F
$GPGGA,055329.5,,,,,0,,,,,,,,*75
$GPVTG,,T,,M,,N,,K,N*2C
$GPRMC,,V,,,,,,,,,,N*53
$GPGSA,A,1,,,,,,,,,,,,,,,*1E
$PSTIS,*61
При этом спутников на вкладке GPS не видно.

(0008319)
Tolik (manager)
11-08-2012 06:03

:(
(0008320)
Tolik (manager)
11-08-2012 06:14

> Новая SAS через GpsGate новый лог:
> При этом спутников на вкладке GPS не видно.
Я не понял, GPS сейчас работает или нет?
Не видно вообще картинки (она появляется через раз) или видна "мишень" без спутников?

Что показано на вашей картинке HPun2400 GPS.PNG ?
(0008321)
Tolik (manager)
11-08-2012 06:20

Перечитал ещё раз то, что вы написали утром.
Что через gpsgate на новом сасе на COM10 спутники не видны.
Но вчера вы писали, что работает.
Как понять?

Логи с новой программы 0001482:0008312 получены через gpsgate или без?
(0008322)
valebog (reporter)
11-08-2012 06:35
edited on: 11-08-2012 06:40

GPS включена, но комп дома на столе и сигнал слабый. На старой SAS подключенной напрямую или через GpsGate при этом видны спутники, но среди них нет активных. На новой SAS подключенной через GpsGate видна только "мишень" без спутников. На картинке HPun2400 GPS.PNG изображен лог появляющийся на мониторе компа после включения GPS функции модема.
Логи на новой SAS получены через GpsGate.

Новая SAS через GpsGate работает, но при этом спутников на вкладке GPS не показывает.

(0008323)
Tolik (manager)
11-08-2012 07:12
edited on: 11-08-2012 07:15

Странно, у меня спутники показывает (неактивные).

Значит, это лог без гейта (получен на старой САС):
$GPGSV,3,1,12,03,04,022,,05,33,227,18,07,28,078,13,08,69,067,*72
$GPGSV,3,2,12,10,02,184,20,15,23,302,,18,,,,19,18,046,*49
$GPGSV,3,3,12,21,04,317,,26,63,289,20,27,05,262,,28,57,168,13*7B
$GPGGA,053737.5,,,,,0,,,,,,,,*78
$GPVTG,,T,,M,,N,,K,N*2C
$GPRMC,,V,,,,,,,,,,N*53
$GPGSA,A,1,,,,,,,,,,,,,,,*1E
$PSTIS,*61

А это лог с гейтом (на новой):
$GPGSV,3,1,12,03,,,,05,27,222,,07,21,082,,08,61,073,*4C
$GPGSV,3,2,12,15,30,300,,17,02,151,,18,04,334,,19,18,039,*7C
$GPGSV,3,3,12,21,01,312,,26,70,278,,27,11,267,,28,64,160,*7F
$GPGGA,055330.5,,,,,0,,,,,,,,*7D
$GPVTG,,T,,M,,N,,K,N*2C
$GPRMC,,V,,,,,,,,,,N*53
$GPGSA,A,1,,,,,,,,,,,,,,,*1E
$PSTIS,*61

Разница есть, но насколько существенная - не берусь судить.

А лог без гейта на новой программе не получается записать?

(0008324)
valebog (reporter)
11-08-2012 07:24
edited on: 11-08-2012 07:36

Лог на новой программе без гейта есть, но он пустой "2012.08.11_10-21-26.nmea", его размер 0. При выключении программы он сам удаляется.

Новая программа, подключенная к GPS без гейта, при выключении зависает.

Сейчас собираюсь уехать и до вечера меня не будет.

(0008325)
Tolik (manager)
11-08-2012 07:43
edited on: 11-08-2012 07:47

Если этот 0001482:0008306 лог подсунуть на вход новому САСу (с помощью программы Virtual Serial Port Driver http://www.eltima.com/products/vspdxp/), всё работает, показывает точку у метро Спартыўная.

Короче, с NMEA всё в порядке (как я вчера и сказал). Проблема с COM-портом устройства.
Кстати, её, наверно, можно обойти той же программой Virtual Serial Port Driver (соединить COM5 с новым виртуальным портом).

(0008328)
vasketsov (manager)
11-08-2012 08:32

>При этом спутников на вкладке GPS не видно
На картинки со спутниками надо пока что забить (они - не критерий получения сигнала). Надо добиться получения NMEA новым сасом. Критерий получения сигнала (хотя бы одного предложения nmea) - это факт записи лога nmea при включенной записи лога nmea.

>В новой SAS кнопка подключения к GPS ведет себя как ей хочется, иногда включается иногда нет
Автоматическое отключение кнопки означает, что за время установленного таймаута не случилось подключения с указанными настройками.

>Что там за $PSTIS ? надо его игнорировать?
Эта фигня ни на что не влияет (в некоторых случаях используется для идентификации типа приёмника, но емнип не в этом случае). Лог nmea пишется в сасе всегда полностью 'as is'.

>При выключении программы он сам удаляется
Это тоже так и задумано, если файл лога пустой, он удаляется.
(0008330)
vasketsov (manager)
11-08-2012 11:16

Приаттачил SASPlanet_BuildCommDCB для игр.
Изменение одно: перед подключением будет окошко с запросом параметров открытия COM-порта. Параметры указываются в виде строки.
По умолчанию значение равно 'baud=4800 parity=N data=8 stop=1'.
Если нажать "Отмена" - никакое значение применяться не будет (как в официальной ночнушке и в официальном релизе).

Правила формирования этой строки описаны в MSDN для функции BuildCommDCB. Вот ссылка.
http://msdn.microsoft.com/en-us/library/windows/desktop/aa363143(v=vs.85).aspx
Сначала придётся разобраться с этим, поиграть с параметрами, ничего сложного там нет, просто аккуратно разобраться.

Если ничего не получится - пишите.
(0008333)
valebog (reporter)
11-08-2012 19:09
edited on: 11-08-2012 19:42

vasketsov,
Если бы я понял что Вы написали и еще знал английский, чтобы прочитать страницу ссылки, то наверно у меня бы все получилось, а пока к сожалению результат нулевой. Если можно сначала подробнее что значит приттачил, кто приттачил, что приттачил и где взял.
У меня на компе установлена Windows 7 SP1 x64, а насколько я понял страницу ссылки, там речь идет о Windows XP. Это не страшно? И еще нашел вот такую ссылку: http://vsokovikov.narod.ru/New_MSDN_API/Comm_res/fn_buildcommdcb.htm страничка на русском языке. Она идентична Вашей или нет и можно ли воспользоваться ей вместо Вашей?
>Автоматическое отключение кнопки означает, что за время установленного таймаута не случилось подключения с указанными настройками.<
Я вел речь не об автоматическом отключении кнопки, а о том что программа зависает и вообще не реагирует на ее нажатие, соответственно не выкидывает или не убирает панель датчиков.

(0008334)
Tolik (manager)
11-08-2012 19:41

> Если можно сначала подробнее что значит приттачил, кто приттачил, что приттачил и где взял.
:)))))
vasketsov приложил сюда (под вашими картинками) файл, который надо скачать, распаковать в директорию сас и запустить вместо сас. Где взял - сам написал :)
Что с ним дальше делать - не знаю, не пробовал :) мож и так понятно будет :)
(0008335)
Tolik (manager)
11-08-2012 19:46
edited on: 11-08-2012 19:49

По этой ссылке главное - это пример использования:
baud=1200 parity=N data=8 stop=1

Что-то мне кажется, не поможет это... Сто пудов там 8N1.

Тем более, что программа зависает (это опять, блин, новая информация).

(0008336)
Werefox (reporter)
11-08-2012 19:52

Win7x64 не?
(0008337)
valebog (reporter)
11-08-2012 19:53
edited on: 11-08-2012 20:03

Tolik,
Спасибо, с файлом разобрался - это измененный SASPlanet.exe. Я им заменил родной. Теперь надо понять что значит поиграть с параметрами. Как я уже писал кнопка GPS Вкл/Выкл не реагирует на ее повторные нажатия, т. е. программа виснет. Игра не получится. А сейчас программа зависла и ни в какую не хочет выключаться, придется насиловать комп.

(0008338)
valebog (reporter)
11-08-2012 19:58

Werefox,
Да я уже писал Win7 SP1 x64.
(0008339)
zed (manager)
11-08-2012 20:07
edited on: 11-08-2012 20:08

>кнопка GPS Вкл/Выкл не реагирует на ее повторные нажатия, т. е. программа виснет
Кнопка не реагирует или весь САС виснет? Карту перемещать при этом можно?

Зависание наблюдалось изначально или только на приаттаченном exe?

(0008340)
valebog (reporter)
11-08-2012 20:23
edited on: 11-08-2012 20:28

zed,
Зависание присутствует постоянно, независимо от замененного файла. Например если включена кнопка GPS, то при выключении программы она виснет. С новым файлом наоборот не виснет если я нажимаю кнопку "Отменить" в BuildCommDCB.

(0008341)
zed (manager)
11-08-2012 20:26

Но пока программу не выключаешь, она работает (ну кроме GPS)?
(0008343)
valebog (reporter)
11-08-2012 20:30

Да, прекрасно качает карты из интернета, гораздо быстрее старой и работает без вопросов.
(0008344)
Tolik (manager)
11-08-2012 20:35

valebog, что ж вы сразу не сказали, что да как зависает?? Это очень важная информация, сколько времени мы угробили на всякие логи NMEA!

Werefox, почему вы спросили про х64? Что-то напомнило известные глюки?
(0008345)
valebog (reporter)
11-08-2012 20:50
edited on: 12-08-2012 06:25

Tolik,
Я уже давно пишу что программа виснет, но до сих пока никто на это не обращал внимание. Но главное то, что она виснет именно из-за функции включения GPS. Возможно из-за несогласованности этой функции с моим модемом. Ведь если при применении BuildCommDCB нажать "Отмена" то никакое значение порта не применяеться и она не виснет при выключении. И еще повторюсь, при первом включении программы на вкладке GPS нет рисунка мишени спутников, она появляется только после переключения вкладок.

(0008346)
vasketsov (manager)
11-08-2012 21:09

>страничка на русском языке. Она идентична Вашей или нет и можно ли воспользоваться ей вместо Вашей?
Я так понимаю, это просто перевод на русский, так что можно.

>программа зависает и вообще не реагирует на ее нажатие
Это какие-то полнейшие чудеса. Ожидание ответа от приёмника выполняется в отдельном потоке, соответственно реагировать обязана.

>Теперь надо понять что значит поиграть с параметрами
Попробовать сформировать строку подключения, при которой выполнится подключение.

>Зависание присутствует постоянно, независимо от замененного файла
>С новым файлом наоборот не виснет
Я не понял, у нас тут угадай мелодию и одновременно цирк штоле?!!
Дабы от общения была польза - предлагаю максимально точно описывать действия и симптомы.
Если с новым файлом нажимать кнопку "Отменить" в BuildCommDCB - поведение будет полностью идентично официальной "ночнушке" с главной страницы (в которой установка этих настроек не выполняется вообще, в древней версии, которая работает, это тоже не выполнялось).


>Win7 SP1 x64
У мну отлично подключается блютусный приёмник на такой оси, специально ставил её для проверки.
(0008347)
vasketsov (manager)
11-08-2012 21:16

>Я уже давно пишу что программа виснет, но до сих пока никто на это не обращал внимание
Дружище, то вы пишете что виснет при выключении. То пишете что "кнопка GPS Вкл/Выкл не реагирует на ее повторные нажатия, т. е. программа виснет" - хотя а) это не одно и то же и б) если речь про выключение программы, то о каком ожидании какой реакции на нажатия может иди речь?
(0008349)
valebog (reporter)
12-08-2012 11:15
edited on: 12-08-2012 11:53

vasketsov,
Я не специалист по компьютерам поэтому прошу простить меня за неправильное описание проблем. Я очень благодарен всем кто пытается помочь решить возникшую у меня проблему.

Пробовал менять параметры открытия COM порта в соответствии со следующими значениями:

Допустимые значения для параметра скорость:
Значение Скорость
11 или 110 110 бод
15 или 150 150 бод
30 или 300 300 бод
60 или 600 600 бод
12 или 1200 1200 бод
24 или 2400 2400 бод
48 или 4800 4800 бод
96 или 9600 9600 бод
19 или 1920 19200 бод

Значениями параметра PARITY = четность могут быть:
Значение Действие
N Отсутствие проверки на четность.
E Проверка на четность.
O Проверка на нечетность.
M Марка.
S Пробел.

DATA = длина - Указывает число бит данных на символ. Допустимые значения от 5 до 8; по умолчанию принимается 7.

Допустимые значения параметра повторения RETRY = повтор:
Значение Действие
E Возвращает ошибку, если порт занят.
B Возвращает "занят", если порт занят.
P Продолжает попытки до тех пор, пока принтер не воспримет вывод.
R Возвращает "готовность", если порт занят.
N Не предпринимает повторений (принимается по умолчанию).

к сожалению нужного результата не добился.
Может посоветуете какие то конкретные значения, или еще что-нибудь.

Еще заметил, что при открытии программы через GpsGate, лог nmea появляется пустой, а после отключения GPS или закрытия программы сохраняется уже с данными.

(0008356)
Tolik (manager)
12-08-2012 15:04

Лог пустой до закрытия - это норамльно, на диск не пишется каждый байт, лог буферизируется в памяти и сбрасывается на диск по мере необходимости.
(0008362)
valebog (reporter)
12-08-2012 15:33

Tolik,
но почему тогда в старой программе лог появляется сразу с данными?
(0008364)
Tolik (manager)
12-08-2012 15:36

Ну не знаю, в старой могло быть и по-другому, в новой этот компонент полностью переписан.
(0008367)
vasketsov (manager)
12-08-2012 15:52

>Лог пустой до закрытия - это нормально
Да.

>Может посоветуете какие то конкретные значения
Покуда нет перечня что уже фактически попробовано - вопрос несколько странный.

Ещё идея. Итак:
1. Качаем PortMon отсюда:
http://technet.microsoft.com/en-us/sysinternals/bb896644.aspx
Вроде бы пишут, что в режиме совместимости должен работать.
2. Запускаем монитор.
3. Сначала пробуем на старой версии напрямую (без GPSGate) подключиться к приёмнику. Убеждаемся, что а) подключение возможно и б) PortMon "захватывает" команды. Отключаемся от приёмника. После этого выключаем запись лога в PortMon и сохраняем лог в файл. Файл сюда.
4. То же самое пробуем с новой версией. Не забываем снова включить запись лога. Если не отключится и зависнет - фиг с ним, через Диспетчер задач снимаем саспланету, только после этого останавливаем запись лога в PortMon, сохраняем лог в файл, файл сюда.

Есть идея, что "молчок" приёмника связан с необходимостью запросить с него $GPRMC и прочее, для этого надо послать ему команду. Вот заодно и проверим.
(0008371)
valebog (reporter)
12-08-2012 18:12
edited on: 12-08-2012 22:24

vasketsov,
к сожалению монитор не видит на моем компе портов, хотя и запустился. Неактивна кнопка Capture. Смотрите скриншот.

Если пытаться испробовать все возможные сочетания значений параметров открытия COM порта, то я думаю их будет настолько много, что в ближайшем будующем я с этим не справлюсь. Без изменения скорости и DATA остальные варианты я испробовал. При некоторых значениях кнопка включения GPS не включалась и не выбрасывалась панель датчиков.

(0008374)
vasketsov (manager)
12-08-2012 21:40

Значит будем делать так.
Я навставляю сообщений в код программы.
Но не простых сообщений, а таких специальных, которые можно отловить специальными программами-мониторами типа DebugView или dbmon, и в них посмотреть (а также сохранить в файл).

Вот ссылки на проги (у меня первая не заработала, так что я пользуюсь второй, да она и попроще для новичков, так что шаги буду описывать для dbmon):
http://technet.microsoft.com/ru-ru/sysinternals/bb896647.aspx
http://www.simtel.net/free/Development-Programming-Utilities/dbmon/75319.html

Обратите внимание, програмки-мониторы перехватывают почти все отладочные сообщения в системе, так что постарайтесь больше ничего лишнего в это время не запускать, чтобы в лог лишнего не залетало.

Итак, надо скачать новую версию EXE, которая тут приложена в теме (предыдущую версию я удалил, на новой написано NEW). Работать на этот раз будем ТОЛЬКО с ней (старую запускать НЕ НАДО, при подключении приёмника параметры порта не применять, жать Отмена)! Запускаем её.

Потом запускаем ОДНУ программу-монитор (dbmon надо установить и запустить).

Потом запускаем GPSGate в той конфигурации, которая работала с новой версией EXE. Подключаемся к приёмнику (полностью, то есть GPSGate подключается к устройству, EXE к GPSGate). Убеждаемся, что в программу-монитор валятся сообщения. Убедились - отключаемся от приёмника GPS в САСе (по кнопке) и закрываем САС совсем. После того как закроется (если зависнет - снимаем задачу из Диспетчера задач) - сохраняем из программы-монитора ВЕСЬ лог полностью в файл (в dbmon есть пункты меню для выделения всего лога и копирования его в буфер обмена, потом надо просто из буфера обмена вставить лог в созданный файл). Файл прислать сюда (лог в сообщения кидать не надо, приаттачить как картинки выше).

После этого очищаем лог в программе-мониторе. Закрываем GPSGate. Запускаем снова новый САС и настраиваем подключение напрямую к устройству GPS. Пробуем подключиться. Опять же убеждаемся, что в программу-монитор валятся сообщения. Как будет очевиден облом подключения - закрываем САС (если подвиснет - соответственно закрываем его из Диспетчера задач). После этого сохраняем полученный лог в программе-мониторе в ДРУГОЙ НОВЫЙ файл. Файл опять же шлём сюда.

Итого - с новой версией EXE с Вас 2 новых файла-лога. Потом посмотрю чего в них записалось, и продолжим.
(0008375)
vasketsov (manager)
12-08-2012 22:50

Поглядел - зависание происходит в момент записи информации в порт устройства GPS. Так что попробуем вообще ничего в порт устройства не писать, только читать.

Теперь надо скачать приаттаченную версию SASPlanet_bug1482_NOSEND
Запустить её опять вместе с программой-монитором, и сразу же напрямую подключиться к устройству (без GPSGate). Ну в общем всё как во второй прошлый раз. И потом новый лог из NOSEND опять же сюда шлите (на этот раз должен быть один файл).
(0008391)
valebog (reporter)
13-08-2012 06:05
edited on: 13-08-2012 06:21

vasketsov,
Появился логфайл nmea в САСе, высылаю его тоже.

(0008394)
Tolik (manager)
13-08-2012 06:17

Заработало?
(0008395)
valebog (reporter)
13-08-2012 06:27

Поставил комп на окно жду когда захватит достаточно спутников для определения координат. По вкладке GPS их не видно, поэтому надо ждать, что бы с уверенностью сказать что заработало. Ждать придется может быть и больше часа. Как только определятся координаты, сразу отпишусь.
(0008396)
Tolik (manager)
13-08-2012 06:34

Может, выйти на 1 минуту на улицу? ;)

По крайней мере, подключается и не зависает? И никаких больше глюков?
Значит заработало.
(0008397)
valebog (reporter)
13-08-2012 06:43
edited on: 13-08-2012 06:45

ЗАРАБОТАЛА!!!!!!!!!!!!
При отключении с включенным приемником GPS все равно виснет, но эта беда не беда.
И спутники стала показывать.

Вам огромнейшее СПАСИБО.

(0008398)
Tolik (manager)
13-08-2012 06:54

Надо бы и зависание полечить. Расскажите подробно, что происходит.
При включенном GPS нажимаете крестик (закрыть программу) и...?
(0008399)
valebog (reporter)
13-08-2012 07:08

А теперь и с включенным приемником GPS перестала виснуть при отключении, вообще все отлично, никаких проблем.

СПАСИБО, СПАСИБО, СПАСИБО!!!!!!!!
(0008400)
valebog (reporter)
13-08-2012 07:16
edited on: 13-08-2012 07:21

Tolik,
Появлялась надпись "не отвечает" вверху слева после названия программы, картинка программы становилась мутной после повторного нажатия на крестик и появлялись стандартные вопросы: искать решение в интернете и т.д.

При первом открытии вкладки GPS мишень спутников все равно отсутствует, несмотря на то что активных спутников достаточно и координаты определены.

(0008401)
valebog (reporter)
13-08-2012 07:26

Tolik,
Вот опять зависла, сделал скриншот таблички и отправляю его.
(0008402)
Tolik (manager)
13-08-2012 07:35

Раз уж сфоткали табличку, то можно было и развернуть "подробности проблемы" :)
А вообще это, наверно, другая проблема, надо будет запустить SASPlanet.Debug.exe из ночнушки (надеюсь, изменения попадут в завтрашнюю ночнушку, это vasketsov уточнит).
(0008403)
valebog (reporter)
13-08-2012 07:50

Tolik,
Загрузил фотки с подробностями.
(0008404)
vasketsov (manager)
13-08-2012 09:03

Рад что получилось. Теперь буду думать, как по-человечески сделать опцию запрета записи в порт для устройства GPS.

По поводу картинок типа "Прекращена работа" - они совершенно не информативные, надо будет потом (через пару дней) отладочную версию запускать и ELF приаттачивать. Лучше в новую тему, а не сюда. Тут я ненужные картинки поудаляю.

Пока что разве что можно при зависании (или ДО зависания, если оно стабильно воспроизводится) включать программу-монитор и писать лог сообщений, как и выше делалось (для версии NOSEND, при прямом подключении к приёмнику GPS). Если удастся - лог сюда кидайте, "может быть поможет".
(0008405)
Tolik (manager)
13-08-2012 09:05

А для каких приёмников нужна запись в порт? Нельзя её просто отключить для всех?
(0008406)
vasketsov (manager)
13-08-2012 09:21

1. По стандарту необходимо послать команду в приёмник, чтобы начался поток NMEA. Более того, в команде указывается, что мы хотим получать. То есть необходимо послать $CCGPQ,RMC*36 чтобы полетели $GPRMC. Но на это почти все производители приёмников GPS забивают, и обычно как только подключаешься - сразу начинает валиться вся помойка. Но это не гарантировано (есть модели, где это не так). Здесь же другая крайность: запись в порт приводит к зависанию.
2. Некоторые модели приёмников обладают расширенным набором команд NMEA. Это частично используется, например, для сброса настроек, включения DGPS. Есть модели, которые сами без спроса шлют proprietary sentences, по которым их можно определить (и другое что-нибудь важное, например, выбранный на устройстве датум, сколько осталось батареи, разные отклонения и т.п.). А есть модели, которым надо что-нибудь записать в порт, что-нибудь NMEA-образное. Это всё описано в файлике vsagps_nmea.ini (на всякий случай его приаттачил, то что start - выполняется после подключения, то что resetdgps - выполняется по кнопке сброса DGPS на панели датчиков). И я совершенно не готов отказаться от идентификации приёмника. Более того, это потребуется в частности при реализации загрузки в приёмник данных типа A-GPS.
3. И опять же "чужие" команды приёмники обязаны игнорировать. Но не в этом случае (((.
(0008407)
Tolik (manager)
13-08-2012 09:27

Я думал, все сразу валят всю помойку.
Надо бы поискать драйверы на чудо-модем: может, проблема уже решена?

Можно сначала ничего не посылать, послушать, если придёт $PSTIS,*61 - вообще ничего не посылать.
(0008408)
vdemidov (manager)
13-08-2012 09:34

А мне кажется это продолжение бага 0001336. Где-то ты там дедлок отхватываешь.
(0008409)
vasketsov (manager)
13-08-2012 09:43
edited on: 13-08-2012 09:53

$PSTIS,*61 - очень от многих валится. Например от "нормальных" квалкомов на смартфонах, у меня с htc тоже такое приходит, и проблем там нет. И вообще STI - это код Sea-Temp Instrument Corporation. Можем выплеснуть ребёнка.

Кроме того, нет гарантии, что мы эту строку прочитаем первой.

А самое главное - нет никакой гарантии, что это единственный такой приёмник, и надо сделать так, чтобы если вдруг появится ещё один такой, то чтобы проблема была решена без внесения изменений в код программы.

(0008410)
valebog (reporter)
13-08-2012 09:45

Добавил лог при зависании САС.
(0008411)
vasketsov (manager)
13-08-2012 09:49

>продолжение бага 0001336

Если ты про зависание при выключении - возможно.
зы. Я заодно тут потенциальную микробагу для гармина отловил при отключении, но она тут не играет роли.

Если же про зависание на записи в порт - нет, инфа 100%. Потому что это внутри Tvsagps_device_com_nmea.Send_NmeaComm_Packet. Виснет на выполнении Result:=(WriteFile(...)<>FALSE); После этой строки OutputDebugString не отрабатывает. А сам хэндл не блокируется.
(0008412)
Tolik (manager)
13-08-2012 09:57

> Кроме того, нет гарантии, что мы эту строку прочитаем первой.
Я имел в виду, подождать этой строки некоторое время.

Ну если шоб без изменений - надо чекбокс.
(0008413)
vasketsov (manager)
13-08-2012 10:11

>надо чекбокс
Ну вот и я к этому же склоняюсь ))
(0008414)
vdemidov (manager)
13-08-2012 10:17

В свою инишку запихай и бог с ней. Ради одного случая это выносить в настройки этот параметры, это плохая идея.
(0008419)
vasketsov (manager)
13-08-2012 10:38

Это несколько проиворечит идее ini-шки, в том смысле, что там описаны отличия разных моделей приёмников, а это отличие там соответственно не может быть описано (так как оно должно применяться ДО определения модели - оно будет действовать на все приёмники, подключаемые к САСу по протоколу nmea).

Поэтому конечно это бы в настройки. Ещё лучше - в "деревянные" настройки. А то я как погляжу на страничку с настройками GPS - мне дурно становится: места нет, настройки nmea и garmin разносить надо, настройку автовыключения панели датчиков вообще отдельно, цвет стрелки - туда же. Но ёпрст, сейчас переделывать их вообще не улыбается. Вот такая дилема, цугцванг одним словом.
(0008420)
Tolik (manager)
13-08-2012 10:41

Cтрочку одну добавьте в sasplanet.ini
типа [GPS_module] readonly=1
и закроем это дело.
(0008421)
vdemidov (manager)
13-08-2012 10:42

Не. В инишке САС-а оно противоречит еще больше. Это чисто костыль для твоей реализации.
(0008429)
vasketsov (manager)
13-08-2012 21:51

Итак, приаттачен новый файлик vsagps_nmea.ini. Его надо кинуть в папку с САСом.

Этот файлик и САС настроены так, чтобы запись в приёмник была разрешена (по умолчанию). Уж извините, но мой GlobalSat требует запрос для получения данных, иначе ничего не шлёт.
Чтобы запретить запись в порт GPS, надо в секции [GLOBAL] указать readonly=1.

Приаттачил для проверки финальную версию SASPlanet_bug1482_READY.
Она уже не выводит никаких отладочных сообщений, просто надо убедться, что она работает (c readonly=1). Может конечно и подвиснет разок-другой, это я не смотрел, проверяем только работоспособность решения readonly=1.
(0008431)
Tolik (manager)
14-08-2012 04:25

А если нет vsagps_nmea.ini? Все значения по умолчанию hardcoded? А если файл есть, берутся из него?
(0008436)
valebog (reporter)
14-08-2012 07:08
edited on: 14-08-2012 07:27

С readonly=1 при нажатии кнопки "Подключиться к GPS приемнику" она становится не активной, панель датчиков, естественно, не выбрасывается. При закрытии программы она виснет. Лог nmea тоже, естественно, не записывается. При повторном запуске программы кнопка сразу не активная и при закрытии программа виснет.

С readonly=0 или без файла "vsagps_nmea.ini" лог nmea не записывается.

С файлом "SASPlanet_bug1482_NOSEND" все работает независимо от 0 или 1.

(0008437)
vasketsov (manager)
14-08-2012 07:37

>Все значения по умолчанию hardcoded?
Там hardcoded только readonly=0. Остального в принципе нет.

>А если файл есть
Берутся из него.

Сейчас снова соберу EXE с выдачей отладочных сообщений. Остальные все поудаляю чтобы не путаться. Снова запускаем напрямую к приёмнику GPS и ловим ообщения в dbmon. Лог сюда.
(0008438)
vasketsov (manager)
14-08-2012 07:52

Скачиваем и запускаем SASPlanet_bug1482_DEBUG.rar
Я там немного поправил, может даже заработает сразу.
(0008444)
Tolik (manager)
14-08-2012 08:14

А почему в релизе нет этого ini?
(0008445)
valebog (reporter)
14-08-2012 08:31
edited on: 14-08-2012 08:40

Заработало при readonly=1.

Лог в dbmon нужен?

(0008461)
vasketsov (manager)
14-08-2012 10:59

>Лог в dbmon нужен?
Если не зависло - нет.

По зависаниям - сейчас всё подчищу тут, версию с отладочными сообщениями оставлю ЗДЕСЬ. Если будет виснуть - создаём НОВУЮ тему и прикладываем В НЕЁ лог dbmon.
Здесь зависания обсуждать не надо, тему сейчас закрою.

>почему в релизе нет этого ini?
Ну хотите - добавьте (кстати сейчас и для гармина приаттачу файлик ini). Обычно работает и без него. Пока не будет явственных плюшек от идентификации модели и прошифки приёмника - он там не особо нужен, разве что вот для таких экстраординарных ситуаций.
(0008502)
vasketsov (manager)
14-08-2012 16:45

EXE для отладки переехала в доработку 0001502.

- Users who viewed this issue
User List Anonymous (6008x), hrucker (2x), valebog (1x), cycler (1x), netsky (5x), Garl (1x), vdemidov (2x)
Total Views 6020
Last View 25-01-2020 10:46

- Issue History
Date Modified Username Field Change
09-08-2012 18:51 zed New Issue
10-08-2012 07:45 Tolik Note Added: 0008254
10-08-2012 07:45 Tolik Status new => feedback
10-08-2012 14:18 valebog File Added: SAS 110418.PNG
10-08-2012 14:19 valebog File Added: SAS 120808.PNG
10-08-2012 14:26 valebog Note Added: 0008284
10-08-2012 14:30 valebog File Added: OziExplorer.PNG
10-08-2012 14:31 valebog Note Added: 0008285
10-08-2012 14:36 valebog File Added: OziExplorer 01.PNG
10-08-2012 14:37 valebog File Added: OziExplorer 02.PNG
10-08-2012 14:38 valebog Note Added: 0008286
10-08-2012 14:40 Tolik Note Added: 0008287
10-08-2012 14:41 Tolik Note Edited: 0008287 View Revisions
10-08-2012 14:41 Tolik Note Edited: 0008254 View Revisions
10-08-2012 14:42 Tolik Note Edited: 0008287 View Revisions
10-08-2012 14:50 valebog File Added: GpsGate.PNG
10-08-2012 14:50 valebog File Added: HPun2400 GPS.PNG
10-08-2012 14:59 valebog Note Added: 0008288
10-08-2012 15:13 Tolik Note Added: 0008289
10-08-2012 15:13 valebog Note Added: 0008290
10-08-2012 15:16 valebog Note Added: 0008291
10-08-2012 15:16 Tolik Note Added: 0008292
10-08-2012 15:17 valebog File Added: GpsGate 01.PNG
10-08-2012 15:18 Tolik Note Added: 0008293
10-08-2012 15:19 Tolik Note Added: 0008294
10-08-2012 15:19 Tolik Assigned To => vasketsov
10-08-2012 15:19 Tolik Status feedback => assigned
10-08-2012 15:23 valebog Note Added: 0008295
10-08-2012 15:28 vdemidov Note Added: 0008296
10-08-2012 15:31 valebog Note Edited: 0008290 View Revisions
10-08-2012 15:37 valebog Note Added: 0008297
10-08-2012 16:13 vasketsov Note Added: 0008298
10-08-2012 17:00 valebog Note Added: 0008299
10-08-2012 17:28 valebog Note Edited: 0008299 View Revisions
10-08-2012 18:44 Tolik Note Added: 0008300
10-08-2012 19:46 vasketsov Note Added: 0008301
10-08-2012 22:24 Werefox Note Added: 0008302
11-08-2012 04:48 valebog Note Added: 0008303
11-08-2012 05:04 valebog Note Added: 0008306
11-08-2012 05:05 valebog Note Edited: 0008306 View Revisions
11-08-2012 05:07 Tolik Note Added: 0008307
11-08-2012 05:09 valebog Note Edited: 0008306 View Revisions
11-08-2012 05:12 valebog Note Added: 0008308
11-08-2012 05:13 valebog Note Edited: 0008308 View Revisions
11-08-2012 05:26 valebog File Added: SAS 110418 COM10.PNG
11-08-2012 05:27 valebog File Added: SAS 120808 COM10.PNG
11-08-2012 05:28 Tolik Note Added: 0008309
11-08-2012 05:30 Tolik Note Added: 0008310
11-08-2012 05:31 valebog Note Added: 0008311
11-08-2012 05:34 valebog Note Added: 0008312
11-08-2012 05:35 Tolik Note Edited: 0008310 View Revisions
11-08-2012 05:36 valebog Note Edited: 0008312 View Revisions
11-08-2012 05:36 Tolik Note Added: 0008313
11-08-2012 05:44 valebog Note Added: 0008316
11-08-2012 05:45 valebog Note Edited: 0008316 View Revisions
11-08-2012 05:51 Tolik Note Added: 0008317
11-08-2012 05:56 valebog Note Added: 0008318
11-08-2012 06:00 valebog Note Edited: 0008318 View Revisions
11-08-2012 06:01 valebog Note Edited: 0008318 View Revisions
11-08-2012 06:03 valebog Note Edited: 0008318 View Revisions
11-08-2012 06:03 Tolik Note Added: 0008319
11-08-2012 06:04 Tolik Note Edited: 0008313 View Revisions
11-08-2012 06:14 Tolik Note Added: 0008320
11-08-2012 06:20 Tolik Note Added: 0008321
11-08-2012 06:35 valebog Note Added: 0008322
11-08-2012 06:37 valebog Note Edited: 0008322 View Revisions
11-08-2012 06:40 valebog Note Edited: 0008322 View Revisions
11-08-2012 07:12 Tolik Note Added: 0008323
11-08-2012 07:15 Tolik Note Edited: 0008323 View Revisions
11-08-2012 07:24 valebog Note Added: 0008324
11-08-2012 07:25 valebog Note Edited: 0008324 View Revisions
11-08-2012 07:31 valebog Note Edited: 0008324 View Revisions
11-08-2012 07:32 valebog Note Edited: 0008324 View Revisions
11-08-2012 07:33 valebog Note Edited: 0008324 View Revisions
11-08-2012 07:36 valebog Note Edited: 0008324 View Revisions
11-08-2012 07:43 Tolik Note Added: 0008325
11-08-2012 07:44 Tolik Note Edited: 0008325 View Revisions
11-08-2012 07:47 Tolik Note Edited: 0008325 View Revisions
11-08-2012 08:32 vasketsov Note Added: 0008328
11-08-2012 11:10 vasketsov File Added: SASPlanet_BuildCommDCB.rar
11-08-2012 11:16 vasketsov Note Added: 0008330
11-08-2012 19:10 valebog Note Added: 0008333
11-08-2012 19:29 valebog Note Edited: 0008333 View Revisions
11-08-2012 19:33 valebog Note Edited: 0008333 View Revisions
11-08-2012 19:41 Tolik Note Added: 0008334
11-08-2012 19:42 valebog Note Edited: 0008333 View Revisions
11-08-2012 19:46 Tolik Note Added: 0008335
11-08-2012 19:49 Tolik Note Edited: 0008335 View Revisions
11-08-2012 19:52 Werefox Note Added: 0008336
11-08-2012 19:53 valebog Note Added: 0008337
11-08-2012 19:57 valebog Note Edited: 0008337 View Revisions
11-08-2012 19:58 valebog Note Added: 0008338
11-08-2012 19:59 valebog Note Edited: 0008337 View Revisions
11-08-2012 20:02 valebog Note Edited: 0008337 View Revisions
11-08-2012 20:03 valebog Note Edited: 0008337 View Revisions
11-08-2012 20:04 zed Reporter zed => valebog
11-08-2012 20:04 zed OS XP => 7
11-08-2012 20:04 zed OS Version SP3 => SP1 x64
11-08-2012 20:07 zed Note Added: 0008339
11-08-2012 20:08 zed Note Edited: 0008339 View Revisions
11-08-2012 20:23 valebog Note Added: 0008340
11-08-2012 20:24 valebog Note Edited: 0008340 View Revisions
11-08-2012 20:26 zed Note Added: 0008341
11-08-2012 20:27 valebog Note Edited: 0008340 View Revisions
11-08-2012 20:28 valebog Note Edited: 0008340 View Revisions
11-08-2012 20:30 valebog Note Added: 0008343
11-08-2012 20:35 Tolik Note Added: 0008344
11-08-2012 20:50 valebog Note Added: 0008345
11-08-2012 20:51 valebog Note Edited: 0008345 View Revisions
11-08-2012 21:07 valebog Note Edited: 0008345 View Revisions
11-08-2012 21:09 vasketsov Note Added: 0008346
11-08-2012 21:16 vasketsov Note Added: 0008347
11-08-2012 21:48 valebog Note Added: 0008348
11-08-2012 21:52 valebog Note Edited: 0008348 View Revisions
11-08-2012 21:55 valebog Note Edited: 0008348 View Revisions
11-08-2012 21:57 valebog Note Edited: 0008348 View Revisions
11-08-2012 22:04 valebog Note Edited: 0008348 View Revisions
11-08-2012 22:42 valebog Note Edited: 0008348 View Revisions
12-08-2012 06:25 valebog Note Edited: 0008345 View Revisions
12-08-2012 06:27 valebog Note Edited: 0008348 View Revisions
12-08-2012 06:46 valebog Note Edited: 0008348 View Revisions
12-08-2012 06:49 valebog Note Edited: 0008348 View Revisions
12-08-2012 10:01 valebog Note Deleted: 0008348
12-08-2012 11:15 valebog Note Added: 0008349
12-08-2012 11:25 valebog Note Edited: 0008349 View Revisions
12-08-2012 11:32 valebog Note Edited: 0008349 View Revisions
12-08-2012 11:51 valebog Note Edited: 0008349 View Revisions
12-08-2012 11:52 valebog Note Edited: 0008349 View Revisions
12-08-2012 11:53 valebog Note Edited: 0008349 View Revisions
12-08-2012 12:40 valebog Note Edited: 0008316 View Revisions
12-08-2012 12:40 valebog Note Edited: 0008306 View Revisions
12-08-2012 12:52 valebog Note Edited: 0008306 View Revisions
12-08-2012 12:53 valebog Note Edited: 0008312 View Revisions
12-08-2012 12:54 valebog Note Edited: 0008316 View Revisions
12-08-2012 12:54 valebog Note Edited: 0008318 View Revisions
12-08-2012 12:58 valebog Note Edited: 0008285 View Revisions
12-08-2012 12:58 valebog Note Deleted: 0008286
12-08-2012 13:01 valebog Note Edited: 0008284 View Revisions
12-08-2012 13:01 valebog Note Deleted: 0008285
12-08-2012 13:04 valebog Note Edited: 0008288 View Revisions
12-08-2012 13:05 valebog Note Edited: 0008290 View Revisions
12-08-2012 13:06 valebog Note Deleted: 0008291
12-08-2012 13:06 valebog Note Edited: 0008297 View Revisions
12-08-2012 13:09 valebog Note Edited: 0008303 View Revisions
12-08-2012 13:11 valebog Note Deleted: 0008308
12-08-2012 15:04 Tolik Note Added: 0008356
12-08-2012 15:33 valebog Note Added: 0008362
12-08-2012 15:36 Tolik Note Added: 0008364
12-08-2012 15:52 vasketsov Note Added: 0008367
12-08-2012 18:12 valebog Note Added: 0008371
12-08-2012 18:12 valebog File Added: Portmon.PNG
12-08-2012 19:41 valebog Note Edited: 0008371 View Revisions
12-08-2012 19:43 valebog Note Edited: 0008371 View Revisions
12-08-2012 19:52 valebog Note Edited: 0008371 View Revisions
12-08-2012 19:56 valebog Note Edited: 0008371 View Revisions
12-08-2012 20:02 valebog Note Edited: 0008371 View Revisions
12-08-2012 20:03 valebog Note Edited: 0008371 View Revisions
12-08-2012 20:07 valebog Note Edited: 0008371 View Revisions
12-08-2012 21:40 vasketsov Note Added: 0008374
12-08-2012 21:41 vasketsov File Deleted: SASPlanet_BuildCommDCB.rar
12-08-2012 21:44 vasketsov File Added: SASPlanet_bug1482_NEW.rar
12-08-2012 22:22 valebog File Added: DB без GpsGate.txt
12-08-2012 22:23 valebog File Added: DB через GpsGate.txt
12-08-2012 22:24 valebog Note Edited: 0008371 View Revisions
12-08-2012 22:46 vasketsov File Added: SASPlanet_bug1482_NOSEND.rar
12-08-2012 22:50 vasketsov Note Added: 0008375
13-08-2012 06:05 valebog Note Added: 0008391
13-08-2012 06:06 valebog File Added: DB+bug1482_NOSEND.txt
13-08-2012 06:07 valebog File Added: 2012.08.13_09-00-29.nmea
13-08-2012 06:17 Tolik Note Added: 0008394
13-08-2012 06:21 valebog Note Edited: 0008391 View Revisions
13-08-2012 06:27 valebog Note Added: 0008395
13-08-2012 06:34 Tolik Note Added: 0008396
13-08-2012 06:43 valebog Note Added: 0008397
13-08-2012 06:45 valebog Note Edited: 0008397 View Revisions
13-08-2012 06:54 Tolik Note Added: 0008398
13-08-2012 07:08 valebog Note Added: 0008399
13-08-2012 07:16 valebog Note Added: 0008400
13-08-2012 07:21 valebog Note Edited: 0008400 View Revisions
13-08-2012 07:26 valebog Note Added: 0008401
13-08-2012 07:27 valebog File Added: SAS работа прекращена.PNG
13-08-2012 07:35 Tolik Note Added: 0008402
13-08-2012 07:48 valebog File Added: SAS работа прекращена 01.PNG
13-08-2012 07:48 valebog File Added: SAS работа прекращена 02.PNG
13-08-2012 07:49 valebog File Added: SAS работа прекращена 03.PNG
13-08-2012 07:50 valebog Note Added: 0008403
13-08-2012 07:52 valebog File Added: SAS работа прекращена 04.PNG
13-08-2012 09:03 vasketsov Note Added: 0008404
13-08-2012 09:04 vasketsov File Deleted: SAS работа прекращена 03.PNG
13-08-2012 09:04 vasketsov File Deleted: GpsGate.PNG
13-08-2012 09:04 vasketsov File Deleted: SAS работа прекращена.PNG
13-08-2012 09:04 vasketsov File Deleted: SAS работа прекращена 02.PNG
13-08-2012 09:05 Tolik Note Added: 0008405
13-08-2012 09:21 vasketsov Note Added: 0008406
13-08-2012 09:24 vasketsov File Added: vsagps_nmea.ini
13-08-2012 09:27 Tolik Note Added: 0008407
13-08-2012 09:34 vdemidov Note Added: 0008408
13-08-2012 09:43 vasketsov Note Added: 0008409
13-08-2012 09:44 valebog File Added: DB при зависании САС.txt
13-08-2012 09:45 valebog Note Added: 0008410
13-08-2012 09:49 vasketsov Note Added: 0008411
13-08-2012 09:53 vasketsov Note Edited: 0008409 View Revisions
13-08-2012 09:57 Tolik Note Added: 0008412
13-08-2012 10:11 vasketsov Note Added: 0008413
13-08-2012 10:17 vdemidov Note Added: 0008414
13-08-2012 10:38 vasketsov Note Added: 0008419
13-08-2012 10:41 Tolik Note Added: 0008420
13-08-2012 10:42 vdemidov Note Added: 0008421
13-08-2012 14:21 valebog Note Edited: 0008306 View Revisions
13-08-2012 21:34 vasketsov File Deleted: vsagps_nmea.ini
13-08-2012 21:35 vasketsov File Added: vsagps_nmea.ini
13-08-2012 21:51 vasketsov Note Added: 0008429
13-08-2012 21:51 vasketsov File Added: SASPlanet_bug1482_READY.rar
13-08-2012 22:18 vasketsov Status assigned => feedback
14-08-2012 04:25 Tolik Note Added: 0008431
14-08-2012 06:52 valebog Note Added: 0008435
14-08-2012 06:52 valebog Status feedback => assigned
14-08-2012 06:57 valebog Note Deleted: 0008435
14-08-2012 07:08 valebog Note Added: 0008436
14-08-2012 07:10 valebog Note Edited: 0008436 View Revisions
14-08-2012 07:16 valebog Note Edited: 0008436 View Revisions
14-08-2012 07:25 valebog Note Edited: 0008436 View Revisions
14-08-2012 07:27 valebog Note Edited: 0008436 View Revisions
14-08-2012 07:37 vasketsov Note Added: 0008437
14-08-2012 07:37 vasketsov File Deleted: SASPlanet_bug1482_READY.rar
14-08-2012 07:40 vasketsov File Deleted: SASPlanet_bug1482_NOSEND.rar
14-08-2012 07:40 vasketsov File Deleted: SASPlanet_bug1482_NEW.rar
14-08-2012 07:51 vasketsov File Added: SASPlanet_bug1482_DEBUG.rar
14-08-2012 07:52 vasketsov Note Added: 0008438
14-08-2012 07:52 vasketsov Status assigned => feedback
14-08-2012 08:14 Tolik Note Added: 0008444
14-08-2012 08:31 valebog Note Added: 0008445
14-08-2012 08:31 valebog Status feedback => assigned
14-08-2012 08:39 valebog Note Edited: 0008445 View Revisions
14-08-2012 08:40 valebog Note Edited: 0008445 View Revisions
14-08-2012 10:59 vasketsov Note Added: 0008461
14-08-2012 10:59 vasketsov File Deleted: DB при зависании САС.txt
14-08-2012 11:00 vasketsov File Deleted: DB без GpsGate.txt
14-08-2012 11:00 vasketsov File Deleted: DB через GpsGate.txt
14-08-2012 11:00 vasketsov File Deleted: DB+bug1482_NOSEND.txt
14-08-2012 11:01 vasketsov File Added: vsagps_garmin.ini
14-08-2012 11:02 vasketsov Status assigned => resolved
14-08-2012 11:02 vasketsov Fixed in Version => 120808
14-08-2012 11:02 vasketsov Resolution open => fixed
14-08-2012 11:04 Tolik Fixed in Version 120808 => 121010
14-08-2012 11:04 Tolik Target Version => 121010
14-08-2012 16:45 vasketsov File Deleted: SASPlanet_bug1482_DEBUG.rar
14-08-2012 16:45 vasketsov Note Added: 0008502
05-10-2016 05:50 vdemidov Relationship added related to 0003141



Copyright © 2007 - 2020 SAS.Planet Team